Package org.eclipse.mat.ui

## Class MemoryAnalyserPreferences

- java.lang.Object
- - org.eclipse.mat.ui.MemoryAnalyserPreferences

All Implemented Interfaces:
  `IStartup`

    public class MemoryAnalyserPreferences
    extends java.lang.Object
    implements IStartup

We use this instead of a PreferenceInitializer because that only gets called when the preference pane is opened.

See Also:
  http://help.eclipse.org/index.jsp?topic=/org.eclipse.platform.doc.isv/reference/extension-points/org_eclipse_ui_startup.html

### Constructor Summary

Constructors
`MemoryAnalyserPreferences()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `earlyStartup()` Called when Eclipse starts.
`static void` `loadPreferenceValue()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MemoryAnalyserPreferences

    public MemoryAnalyserPreferences()

### Method Detail

#### earlyStartup

    public void earlyStartup()

Called when Eclipse starts. Not used anymore as it causes o.e.mat.ui always to be started when MAT is installed in Eclipse, even when not used. Instead BytesDisplay does the query of the Eclipse preferences.

Specified by:
  `earlyStartup` in interface `IStartup`

#### loadPreferenceValue

    public static void loadPreferenceValue()